package javakurs.musterloesung.uebung06;

/**
 * {@link Command} defines the general interface for commands.
 *
 * @author Joerg Steffen, DFKI
 * @version $Id: Command.java,v 1.1 2010/12/06 18:18:46 steffen Exp $
 */
public interface Command {

  /**
   * This executes the command
   */
  void execute();

  /**
   * This reverses the effects of the command.
   */
  void undo();
}
